#Make the default scene manual so it doesn't just try and display all regions
gfx modify scene default manual;

#Make a top level coordinates field so that it appears in our computed field choosers
gfx define field coordinates finite_element number_of_components 3;

#Read in the walls
open comfile walls3.com execute;

open comfile update_camera.com execute;

open comfile ccarm.com execute;

open comfile bones.com execute;

gfx create window 1;
gfx modify window 1 view perspective eye_point 0 0 -1000 interest_point 0 0 0 up_vector 0 1 0 view_angle 60 near_clipping_plane 10 far_clipping_plane 10000 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;

open comfile camera_view.com execute;

open comfile hud.com execute;

#Attach the hud to the scene_viewer
#gfx modify window 1 overlay scene hud;

gfx edit scene;
